@import url("https://fonts.googleapis.com/css2?family=Space+Mono:wght@400;700&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  width: 100%;
  height: 100vh;
  overflow: hidden;
  background-color: #c5e4e7;
  font-family: "Space mono", monospace;
  display: flex;
  align-items: center;
  justify-content: center;
}

@media screen and (max-width: 599px) {
  body {
    overflow-y: auto;
    height: 100%;
  }
}

.tip-wrapper {
  width: 55%;
}

@media screen and (max-width: 599px) {
  .tip-wrapper {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
  }
}

.tip-wrapper-img {
  display: block;
  width: max-content;
  margin: 0 auto 30px;
}

@media screen and (max-width: 599px) {
  .tip-wrapper-img {
    margin-top: 20px;
  }
}

.tip-wrapper-form {
  position: relative;
}

@media screen and (max-width: 599px) {
  .tip-wrapper-form {
    width: 100%;
    height: 80vh;
  }
}

.tip-wrapper-form .tip-form {
  background-color: #f4fafa;
  border-radius: 20px;
  padding: 30px;
  display: flex;
  align-items: stretch;
  justify-content: space-between;
  flex: 1 1 0;
  flex-wrap: wrap;
}

@media screen and (max-width: 599px) {
  .tip-wrapper-form .tip-form {
    flex-direction: column;
  }
}

.tip-wrapper-form .tip-form .left-form,
.tip-wrapper-form .tip-form .right-form {
  width: 47%;
}

@media screen and (max-width: 599px) {
  .tip-wrapper-form .tip-form .left-form,
  .tip-wrapper-form .tip-form .right-form {
    width: 100%;
  }
}

.tip-wrapper-form .tip-form .left-form {
  position: relative;
  display: block;
}

.tip-wrapper-form .tip-form .left-form .input-box {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;
  margin-bottom: 35px;
}

.tip-wrapper-form .tip-form .left-form .input-box label {
  font-family: inherit;
  font-size: 0.8rem;
  margin-bottom: 10px;
  font-weight: 700;
  color: #5f5f5f;
}

.tip-wrapper-form .tip-form .left-form .input-box input[type="text"] {
  width: 100%;
  height: 40px;
  border-radius: 5px;
  text-align: right;
  padding: 0 10px;
  font-family: inherit;
  border: none;
  outline: none;
  background-color: #c5e4e7;
  font-weight: 700;
  font-size: 1.2rem;
  color: #00494d;
  caret-color: #00494d;
}

.tip-wrapper-form .tip-form .left-form .input-box input[type="text"]:focus {
  border: 2px solid #26c0ab;
}

.tip-wrapper-form .tip-form .left-form .input-box input[type="text"].error {
  border: 2px solid #ff2222d5;
}

.tip-wrapper-form .tip-form .left-form .input-box input[type="text"]::placeholder {
  color: #7f9c9f;
}

.tip-wrapper-form .tip-form .left-form .input-box img {
  position: absolute;
  top: 45%;
  left: 10px;
  transform: translateY(45%);
}

.tip-wrapper-form .tip-form .left-form .input-box small {
  display: none;
  position: absolute;
  right: 0;
  top: 0;
  color: #ff2222d5;
  font-weight: 700;
}

.tip-wrapper-form .tip-form .left-form .input-box .grid {
  display: grid;
  grid-template-columns: repeat(3, minmax(0, 1fr));
  gap: 12px;
}

.tip-wrapper-form .tip-form .left-form .input-box .grid button {
  padding: 6px;
  outline: none;
  border: none;
  background-color: #00494d;
  color: white;
  font-weight: 700;
  font-family: inherit;
  font-size: 1.3rem;
  border-radius: 5px;
  cursor: pointer;
}

.tip-wrapper-form .tip-form .left-form .input-box .grid button:hover {
  background-color: #26c0ab;
}

.tip-wrapper-form .tip-form .left-form .input-box .grid input {
  display: block;
  text-align: right;
  font-size: 1.3rem;
  font-weight: 700;
  font-family: inherit;
  background-color: #c5e4e7;
  border-radius: 5px;
  outline: none;
  border: none;
  padding: 0 10px;
  color: #00494d;
  caret-color: #00494d;
  cursor: pointer;
}

.tip-wrapper-form .tip-form .left-form .input-box .grid input:focus {
  border: 2px solid #26c0ab;
}

.tip-wrapper-form .tip-form .left-form .input-box .grid input:focus::placeholder {
  color: transparent;
}

.tip-wrapper-form .tip-form .left-form .input-box .grid input::placeholder {
  text-align: center;
  text-transform: capitalize;
}

.tip-wrapper-form .tip-form .right-form {
  position: relative;
  background-color: #00494d;
  border-radius: 10px;
  padding: 30px 30px;
  display: block;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: flex-start;
}

.tip-wrapper-form .tip-form .right-form .tip-amount {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 28px;
}

.tip-wrapper-form .tip-form .right-form .tip-amount-text h3 {
  font-size: 0.75rem;
  color: white;
}

.tip-wrapper-form .tip-form .right-form .tip-amount-text p {
  font-size: 0.64rem;
  color: #c5e4e7;
}

.tip-wrapper-form .tip-form .right-form .tip-amount-price h1 {
  font-size: 2.4rem;
  color: #26c0ab;
}

.tip-wrapper-form .tip-form .right-form .total {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 28px;
}

.tip-wrapper-form .tip-form .right-form .total-text h3 {
  font-size: 0.75rem;
  color: white;
}

.tip-wrapper-form .tip-form .right-form .total-text p {
  font-size: 0.64rem;
  color: #c5e4e7;
}

.tip-wrapper-form .tip-form .right-form .total-amount h1 {
  font-size: 2.4rem;
  color: #26c0ab;
}

.tip-wrapper-form .tip-form .right-form button {
  position: absolute;
  bottom: 45px;
  width: 80%;
  padding: 8px;
  left: 50%;
  transform: translateX(-50%);
  border: none;
  border-radius: 5px;
  outline: none;
  background-color: #26c0ab;
  font-family: inherit;
  font-weight: 700;
  letter-spacing: 1px;
  color: #00494d;
  cursor: pointer;
}

@media screen and (max-width: 599px) {
  .tip-wrapper-form .tip-form .right-form button {
    position: relative;
    bottom: 0;
    left: 0;
    transform: translateX(0);
    width: 100%;
  }
}

.tip-wrapper-form .tip-form .right-form button:disabled {
  background-color: #007980;
  cursor: not-allowed;
}
